Subject: Re: OT pondering (WAS: Re: Trailing Periods on File Names)
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 6 Apr 2001 07:46:18 +1000

----- Original Message -----
From: "Jonathon Merz" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, April 06, 2001 5:02 AM
Subject: OT pondering (WAS: Re: Trailing Periods on File Names)

> Larry Hall (RFK Partners, Inc) wrote:
>
> > At 02:38 PM 4/5/2001, Randall R Schulz wrote:
> >
> >> Hi,
> >>
<SNIP>
> >
> > <snip>
> >
> >
> >
> >> Curious, no? Perhaps this is a side-effect of the potential
aliasing of suffix-less names and the same name with a ".exe" suffix?
> >
> >
> >
> > No, this is Windows madness.  It ignores periods at the end of file
names.
> >
>
> I agree with that, having seen this before, but I am curious... It
seems that
> such functionality did not get there by accident (I cannot think of a
way to
> ignore characters in a filename without some _extra_ coding), so it
must have
> been done for some purpose.  Yet I cannot for the life of me imagine
what
> benefit this produces, or what fault it would circumvent.  Anyone have
ideas
> as to this?
>

IIRC DOS had extra code _added_ to understand that there was a '.' in
the filename. The raw directory entries were 11 characters long, not 12.

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple